Name:           constant-pool-scanner
Version:        1.2
Release:        12%{?dist}
Summary:        Java constant pool scanner

License:        CDDL or GPLv2 with exceptions
URL:            https://github.com/jenkinsci/constant-pool-scanner
Source0:        https://github.com/jenkinsci/%{name}/archive/%{name}-%{version}.tar.gz
Source1:        https://svn.java.net/svn/glassfish~svn/tags/legal-1.1/src/main/resources/META-INF/LICENSE.txt

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.commons:commons-io)
BuildRequires:  mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:      noarch

%description
Simple utility to scan Java bytecode for class references in the constant pool.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{name}-%{name}-%{version}

cp %{SOURCE1} .

# remove build-time dependency on findbugs-annotations
%pom_remove_dep com.github.stephenc.findbugs:findbugs-annotations
sed -i '/SuppressWarnings/d' src/test/java/org/jenkinsci/constant_pool_scanner/samples/D.java

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE.txt
%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 30 2015 Michal Srb <msrb@redhat.com> - 1.2-7
- Do not BR findbugs-annotations

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 08 2015 Michal Srb <msrb@redhat.com> - 1.2-5
- Utilize pom_change_dep

* Wed Jul 09 2014 Michal Srb <msrb@redhat.com> - 1.2-4
- Fix BR on parent pom

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Jan  2 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2-2
- Update findbugs dependency coordinates

* Mon Sep 02 2013 Michal Srb <msrb@redhat.com> - 1.2-1
- Initial packaging

